aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fcron/fcron.initd
diff options
context:
space:
mode:
authorDiaz Devera Victor <vitronic2@gmail.com>2014-12-26 18:28:54 -0430
committerNatanael Copa <ncopa@alpinelinux.org>2014-12-29 12:19:19 +0000
commita01b0ecdec7585d3f6b2cb7f2da984ebfce0b434 (patch)
treeaf3b29d259d06e61ade292ad14b064906d2804d3 /testing/fcron/fcron.initd
parent6b731eecdf600d8d435d129bf2838e3babb77c56 (diff)
testing/fcron: new aport
periodical command scheduler for systems not always up http://fcron.free.fr/
Diffstat (limited to 'testing/fcron/fcron.initd')
-rwxr-xr-xtesting/fcron/fcron.initd29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/fcron/fcron.initd b/testing/fcron/fcron.initd
new file mode 100755
index 00000000000..617b74cd8f7
--- /dev/null
+++ b/testing/fcron/fcron.initd
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+
+# Initscript by Diaz Devera Victor <vitronic2@gmail.com>
+# Copyright 2014 Alpine Linux
+# Distributed under the terms of the GNU General Public License v2
+
+#name="advanced periodic command scheduler fcron"
+name="fcron"
+pidfile="/run/fcron"
+command=/usr/sbin/fcron
+
+depend() {
+ need localmount
+ need logger
+}
+
+start() {
+ ebegin "Starting $name"
+ start-stop-daemon --start --exec ${command} \
+ --pidfile "$pidfile.pid"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $name"
+ start-stop-daemon --stop --exec ${command} \
+ --pidfile "$pidfile.pid"
+ eend $?
+}